# Class TableColumnFilterInputDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:22

#####
Index

### Constructors

constructor

### Properties

_subscription?
column
ngModel
tableColumnFilterService

### Methods

ngAfterViewInit
ngOnDestroy

## Constructors

### constructor

- new TableColumnFilterInputDirective(ngModel, tableColumnFilterService): TableColumnFilterInputDirective

- #### Parameters

  - ngModel: NgModel
  - tableColumnFilterService: TableColumnFilterService

  #### Returns TableColumnFilterInputDirective

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:29

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:27

### column

column: string

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:25

### `Private` `Readonly` ngModel

ngModel: NgModel

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:31

### `Private` `Readonly` tableColumnFilterService

tableColumnFilterService: TableColumnFilterService

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:33

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:41

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:37